Package Details: python2-vpython 6.11-3

Git Clone URL: https://aur.archlinux.org/python2-vpython.git (read-only)
Package Base: python2-vpython
Description: Easy-to-use 3D graphics module for Python.
Upstream URL: http://www.vpython.org
Licenses: custom
Conflicts: python-vpython
Replaces: python-vpython
Submitter: giniu
Maintainer: moyamo
Last Packager: moyamo
Votes: 24
Popularity: 0.000224
First Submitted: 2014-01-31 14:38
Last Updated: 2017-10-12 06:47

Latest Comments

1 2 3 4 5 6 ... Next › Last »

moyamo commented on 2017-10-12 06:50

Thanks for reporting this. The package should build without needing boost to be installed now.

luolimao commented on 2017-10-11 19:52

Had to install boost to get the package to build. Otherwise, it failed with "b2: command not found"

moyamo commented on 2017-10-09 11:22

I've updated the package to statically link with boost. It should be working now.

moyamo commented on 2017-10-07 14:05

I managed to get vpython to statically link with boost. You will need to put setup2.patch in the same directory as your PKGBUILD and you will need to patch your PKGBUILD.

https://gist.github.com/moyamo/cb34b89e523264bee4b81ba54cb9033e

moyamo commented on 2017-10-07 10:46

This is really annoying. I suggest we statically link boost with vpython, so that we don't have to patch and rebuild everytime boost updates.

pr3pony commented on 2017-09-27 04:04

I encountered an error while building

fatal error: boost/python/numeric.hpp: No such file or directory
#include <boost/python/numeric.hpp>

After some googling I found that since boost 1.65.0
"The boost::python::numeric API has been removed, as it is being obsoleted by boost::python::numpy."

http://www.boost.org/users/history/version_1_65_0.html
http://www.boost.org/users/history/version_1_65_1.html

kdre commented on 2015-08-16 18:33

If I run a simple test using spyder (from visual import * \ sphere()) the render window is just empty/blank (no rendering takes place at all).

Found out that "vidle" is the way to go, but there is no executable called "vidle" after installing this package.

Using the following script everything works just fine:

#!/bin/bash
python2 /usr/lib/python2.7/site-packages/vidle/idle.py

Is it normal that I can use vpython only through vidle?

giniu commented on 2015-02-08 11:53

Seems 6.11 came out. Have to check it out.

felixonmars commented on 2014-10-28 07:56

@giniu - works now, thanks a lot!

giniu commented on 2014-10-27 18:40

@felixonmars - can you test current version?